VDMX macOS X 10.15 Catalina Update Guide

#1

  1. Will VDMX run in Mac OS 10.15, also known as Catalina?

YES – you can use VDMX in Catalina, with version b8.7.1.6 or later.

Please make sure to install the latest update to VDMX for the best compatibility:
Read more - VDMX b8.7.1.6 Now Available!

  1. How do I go about updating to Catalina?

i. Check that your commonly used 3rd party plugins / hardware / software 10.15 are compatible. If so, make sure you have the latest versions. Due to the new requirements for Notarizing software and add-ons, many older tools may not work in 10.15.

Additionally, Catalina drops support for all 32-bit software, such as QuickTime Player 7 Pro. The Catalina installer includes a warning panel that lists software that it detects will not work after the update.

ii. Back up all of your data.

The easiest way to do this is with a Time Machine backup, or you may feel more comfortable manually copying all of your important files, or using a 3rd party tool like Carbon Copy Cloner.

iii. Next, double check that you actually made a back-up all of your data before proceeding!

iv. If available use a second partition or hard drive so that you can keep a your old OS install if you need to downgrade.
(When possible we also strongly recommend doing a totally fresh OS install and then re-installing any 3rd party software / drivers / plugins, instead of doing a restore or upgrade install)

v. Launch the Mac App Store to download and run the Catalina installer, and follow the instructions. For more information see the Apple How to Upgrade guide: https://www.apple.com/macos/how-to-upgrade/

vi. If you aren’t sure about something, it doesn’t hurt to ask!

  1. Are there any known issues with VDMX to be aware of?

Not as of yet, but check back to this forum thread for updates!

As usual we will be on high alert for any issues related to the OS release and we’ll post here if anything noteworthy comes up.

  1. What do I do if something goes wrong??

If you are having a problem with VDMX, send us an email at support@vidvox.net or use the Report Bug option in the Help menu.

If you installed over an existing OS X install and are having general system problems you may want to consider reinstalling 10.15 and then restoring any backed up data.

  1. What’s different in 10.15?

Apple has changed a lot of things in this OS update, and it is worth going through the promotional page to get a sense of what is different, https://www.apple.com/macos/catalina/

A few noteworthy mentions, not particularly related to the world of live visuals,

  • Similar to with 10.14, when launching VDMX, you will be prompted to authorize access to load files from the Documents, Desktop and other folders. You may also be presented with privacy notifications when using audio and video input devices. Check the System Preferences: Security and Privacy section for more information.
  • The latest version of the macOS has new requirements for Notarizing of software. To install software that is not notarized, you will need to go through additional steps, such as right-clicking and choosing the “open…” option. While this is not necessary with VDMX, you may need to do this for other applications that have not been updated for Catalina.
  • iTunes is replaced by Music, with its functionality split up among other apps.
  • One thing we’ll be looking into for a future update of VDMX is support for recording to h.265, which now supports alpha channels in Catalina.

As always, please send us bug reports and feel free to send us any general thoughts or experiences you have related Catalina that might be of interest.

3 Likes

#2

Hey all!

First follow up note here!

If you are trying to use FFGL and other 3rd party plug-ins that have not been notarized for Catalina, you may need to tell the system to allow VDMX to access them.

You may see a warning like this:

Solution

Check with the 3rd party developers to obtain updated plug-ins that are notarized for macOS 10.15.

VDMX will then load plug-ins that have been notarized by Apple.

Workaround

For older plug-ins that are not notarized, customers with Admin user privileges can remove the quarantine flag by using the following command if the plug-in is installed in the FreeFrame application plug-ins folder.

Example if plug-in is in the shared FreeFrame Plug-Ins location folder:

  1. Launch the Terminal application
  2. Enter the following command to confirm that the file is quarantined:
    % ls -l@ /Library/Graphics/FreeFrame\ Plug-Ins/< plug-in-name >/
    Note: replace with the actual name of the plug-in you need to correct
  3. Enter the following command to confirm tell the OS to ignore the quarantine: sudo xattr -r -d com.apple.quarantine /Library/Graphics/FreeFrame\ Plug-Ins/< plug-in-name >
2 Likes